### Method

# WebKit InputMethodContext notify_surrounding

#### Declaration [src]

    void
    webkit_input_method_context_notify_surrounding (
      WebKitInputMethodContext* context,
      const gchar* text,
      int length,
      guint cursor_index,
      guint selection_index
    )

#### Description [src]

Notify `context` that the context surrounding the cursor has changed.

If there’s no selection `selection_index` is the same as `cursor_index`.

Available since: | 2.28

#### Parameters

`text` | `const gchar*`
| Text surrounding the insertion point.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`length` | `int`
| The length of `text`, or -1 if `text` is nul-terminated.
`cursor_index` | `guint`
| The byte index of the insertion cursor within `text`.
`selection_index` | `guint`
| The byte index of the selection cursor within `text`.